apiVersion: v1
kind: Service
metadata:
  name: sample-nodeport
spec: 
  type: NodePort
  ports: 
    - name: "http-port"
      protocol: "TCP"
      port: 8080 # clusterIPで受け付けるport
      targetPort: 80 # 内側のpod内のport
      nodePort: 30080 # 外向きのport(serviceのport)
  selector:
    app: sample-app
